Salvar uma classificação do serviço

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/classification-service/save

Salva ou atualiza uma classificação do serviço.

application/json

Body Required

obj

  • agentId integer(int64)
  • classificationTree object
    Hide classificationTree attributes Show classificationTree attributes object
    • active boolean
    • children array[object]
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • nodeId integer(int64)
    • parent object
    • updatedAt string(date-time)
    • updatedBy string
    • value string
  • classificationTreeSession integer(int64)
  • commentClassification string
  • createdAt string(date-time)
  • createdBy string
  • displayName string
  • groupConfId integer(int64)
  • id integer(int64)
  • rootId integer(int64)
  • sessionId integer(int64)
  • updatedAt string(date-time)
  • updatedBy string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • agentId integer(int64)
    • classificationTree object
      Hide classificationTree attributes Show classificationTree attributes object
      • active boolean
      • children array[object]
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • nodeId integer(int64)
      • parent object
      • updatedAt string(date-time)
      • updatedBy string
      • value string
    • classificationTreeSession integer(int64)
    • commentClassification string
    • createdAt string(date-time)
    • createdBy string
    • displayName string
    • groupConfId integer(int64)
    • id integer(int64)
    • rootId integer(int64)
    • sessionId integer(int64)
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/classification-service/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/classification-service/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"agentId":42,"classificationTree":{"active":true,"children":[{}],"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"nodeId":42,"parent":{},"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","value":"string"},"classificationTreeSession":42,"commentClassification":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","displayName":"string","groupConfId":42,"id":42,"rootId":42,"sessionId":42,"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"}'
Request examples
{
  "agentId": 42,
  "classificationTree": {
    "active": true,
    "children": [
      {}
    ],
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "nodeId": 42,
    "parent": {},
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "value": "string"
  },
  "classificationTreeSession": 42,
  "commentClassification": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "displayName": "string",
  "groupConfId": 42,
  "id": 42,
  "rootId": 42,
  "sessionId": 42,
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}
Response examples (200)
{
  "agentId": 42,
  "classificationTree": {
    "active": true,
    "children": [
      {}
    ],
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "nodeId": 42,
    "parent": {},
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "value": "string"
  },
  "classificationTreeSession": 42,
  "commentClassification": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "displayName": "string",
  "groupConfId": 42,
  "id": 42,
  "rootId": 42,
  "sessionId": 42,
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}